Sequences

List Sequences

GET/v1/sequences
GET
/v1/sequences

To get the sequences and steps of a user

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

sequenceNamestring

Search by Sequence title

pageSizenumber

The number of items per page in the result. Maximum pageSize is 1000

Default: 100

pagenumber

The page number for pagination.

Default: 1

sortstring

The sorting order for the result.

Value in: "ASC" | "DESC"

sortBystring

The field by which the result should be sorted.

Value in: "sequence.createdAt" | "sequence.title"

clientIdsstring

Responses

200
Successfully fetched all sequences and their associated steps
{
  "message": "Successfully fetched all sequences and their associated steps",
  "payload": [
    {
      "id": "JA5YdAr9wy",
      "title": "Sample Sequence",
      "active": true,
      "steps": [
        {
          "id": "bwOLEx4l8G",
          "name": "Step 1"
        }
      ],
      "client": {
        "id": "g9bzZq4aMd",
        "companyName": "Demo",
        "firstName": "John",
        "lastName": "Doe"
      },
      "user": {
        "id": 1,
        "firstName": "John",
        "lastName": "Doe",
        "email": "[email protected]"
      }
    }
  ]
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/sequences" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body